com.io7m.smfj.format.binary.v1

## Interface SMFBv1AttributeReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    SMFBv1AttributeType
  All Known Implementing Classes:
    SMFBv1AttributeByteBuffered

      public interface SMFBv1AttributeReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `SMFBv1Attribute` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getComponentCount()`
    `int` | `getComponentKind()`
    `int` | `getComponentSize()`
    `com.io7m.jpra.runtime.java.JPRAStringCursorReadableType` | `getNameReadable()`
    `int` | `metaComponentCountOffsetFromCursor()`
    `int` | `metaComponentCountOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaComponentCountType()`
    `int` | `metaComponentKindOffsetFromCursor()`
    `int` | `metaComponentKindOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaComponentKindType()`
    `int` | `metaComponentSizeOffsetFromCursor()`
    `int` | `metaComponentSizeOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaComponentSizeType()`
    `int` | `metaNameOffsetFromCursor()`
    `int` | `metaNameOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString` | `metaNameType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaNameOffsetFromType

          int metaNameOffsetFromType()

      Returns:
        The offset in octets of the `name` field, from the start of the type

    - #### metaNameOffsetFromCursor

          int metaNameOffsetFromCursor()

      Returns:
        The offset in octets of the `name` field, from the cursor

    - #### metaNameType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString metaNameType()

      Returns:
        The type of the `name` field

    - #### getNameReadable

          com.io7m.jpra.runtime.java.JPRAStringCursorReadableType getNameReadable()

      Returns:
        Read-only access to the `name` field

    - #### metaComponentKindOffsetFromType

          int metaComponentKindOffsetFromType()

      Returns:
        The offset in octets of the `component_kind` field, from the start of the type

    - #### metaComponentKindOffsetFromCursor

          int metaComponentKindOffsetFromCursor()

      Returns:
        The offset in octets of the `component_kind` field, from the cursor

    - #### metaComponentKindType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaComponentKindType()

      Returns:
        The type of the `component_kind` field

    - #### getComponentKind

          int getComponentKind()

      Returns:
        The value of the `component_kind` field

    - #### metaComponentCountOffsetFromType

          int metaComponentCountOffsetFromType()

      Returns:
        The offset in octets of the `component_count` field, from the start of the type

    - #### metaComponentCountOffsetFromCursor

          int metaComponentCountOffsetFromCursor()

      Returns:
        The offset in octets of the `component_count` field, from the cursor

    - #### metaComponentCountType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaComponentCountType()

      Returns:
        The type of the `component_count` field

    - #### getComponentCount

          int getComponentCount()

      Returns:
        The value of the `component_count` field

    - #### metaComponentSizeOffsetFromType

          int metaComponentSizeOffsetFromType()

      Returns:
        The offset in octets of the `component_size` field, from the start of the type

    - #### metaComponentSizeOffsetFromCursor

          int metaComponentSizeOffsetFromCursor()

      Returns:
        The offset in octets of the `component_size` field, from the cursor

    - #### metaComponentSizeType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaComponentSizeType()

      Returns:
        The type of the `component_size` field

    - #### getComponentSize

          int getComponentSize()

      Returns:
        The value of the `component_size` field

Copyright © 2017 <code@io7m.com> http://io7m.com